/*------------------------------------------------------------------------------
  File        :   StopConditionError.cls
  Package     :   OEUnit.Reflection
  Description :   The exception thrown when a quit condition occurs while running
                  MethodInfo:Invoke().
  Author      :   Cameron Wills
  Revisions   :   1.0 - June, 2008
                  Initial Implementation.
------------------------------------------------------------------------------*/

ROUTINE-LEVEL ON ERROR UNDO, THROW.

CLASS OEUnit.Reflection.StopConditionError INHERITS Progress.Lang.AppError:

  /*----------------------------------------------------------------------------
    Constructor. Accepts an error message.
  ----------------------------------------------------------------------------*/
  CONSTRUCTOR PUBLIC StopConditionError(INPUT errorMessage AS CHARACTER):
    SUPER(errorMessage, 0).
  END CONSTRUCTOR.

END CLASS.